import 'package:krow_core/core.dart';
import '../repositories/i_view_orders_repository.dart';
import '../arguments/orders_day_arguments.dart';

class GetAcceptedApplicationsForDayUseCase
    implements UseCase<OrdersDayArguments, Map<String, List<Map<String, dynamic>>>> {
  const GetAcceptedApplicationsForDayUseCase(this._repository);

  final IViewOrdersRepository _repository;

  @override
  Future<Map<String, List<Map<String, dynamic>>>> call(
    OrdersDayArguments input,
  ) {
    return _repository.getAcceptedApplicationsForDay(input.day);
  }
}
